Support

Transfer Domains

View as Markdown

Initiate and manage inbound and outbound domain transfers and transfer lifecycle actions.

POST
/v2/customers/{customerId}/domains/{domain}/transfer

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

domain*string

Domain to transfer in

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Request Body

application/json

Details for domain transfer purchase

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/customers/string/domains/string/transfer" \  -H "Content-Type: application/json" \  -d '{    "authCode": "string",    "consent": {      "agreementKeys": [        "string"      ],      "price": 0,      "currency": "USD",      "agreedBy": "string",      "agreedAt": "string"    }  }'
Empty
POST
/v2/customers/{customerId}/domains/{domain}/transferInAccept

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

domain*string

Domain to accept the transfer in for

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Request Body

application/json

An Authorization code for transferring the Domain

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/customers/string/domains/string/transferInAccept" \  -H "Content-Type: application/json" \  -d '{    "authCode": "string"  }'
Empty
POST
/v2/customers/{customerId}/domains/{domain}/transferInCancel

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

domain*string

Domain to cancel the transfer in for

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/customers/string/domains/string/transferInCancel"
Empty
POST
/v2/customers/{customerId}/domains/{domain}/transferInRestart

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

domain*string

Domain to restart the transfer in

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/customers/string/domains/string/transferInRestart"
Empty
POST
/v2/customers/{customerId}/domains/{domain}/transferInRetry

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

domain*string

Domain to retry the transfer in

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Request Body

application/json

An Authorization code for transferring the Domain

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/customers/string/domains/string/transferInRetry" \  -H "Content-Type: application/json" \  -d '{    "authCode": "string"  }'
Empty
POST
/v2/customers/{customerId}/domains/{domain}/transferOut

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

domain*string

Domain to initiate the transfer out for

Query Parameters

registrar*string

Registrar tag to push transfer to

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/customers/string/domains/string/transferOut?registrar=string"
Empty
POST
/v2/customers/{customerId}/domains/{domain}/transferOutAccept

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

domain*string

Domain to accept the transfer out for

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/customers/string/domains/string/transferOutAccept"
Empty
POST
/v2/customers/{customerId}/domains/{domain}/transferOutReject

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

domain*string

Domain to reject the transfer out for

Query Parameters

reason?string

Transfer out reject reason

Value in

  • "EVIDENCE_OF_FRAUD"
  • "URDP_ACTION"
  • "COURT_ORDER"
  • "DISPUTE_OVER_IDENTITY"
  • "NO_PAYMENT_FOR_PREVIOUS_REGISTRATION_PERIOD"
  • "WRITTEN_OBJECTION"
  • "TRANSFERRED_WITHIN_SIXTY_DAYS"

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/customers/string/domains/string/transferOutReject"
Empty

Agent & Automation Notes

Scopesdomains.domain:read, domains.domain:create, domains.domain:update, domains.contact:update, domains.nameserver:update, domains.transfer:execute, domains.transfer:update, domains.forward:update
Rate limit60 req/min per credential
On failureAsync operations return 202 with an Action object. Poll until terminal state. Do not resubmit transfers.

Last updated on

How is this guide?